Owler company news
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-owler-companies-news \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "stripe",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-owler-companies-news"
payload = {
"company": "stripe",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'stripe', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-owler-companies-news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "owler_companies_news",
"company": "stripe",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Owler — company news\n\n- **Company:** stripe\n- **Results:** 2 of 10 found\n- **Proxy traffic:** 124.8 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "6ac7beb50bcba003111c5d5c",
"name": "Stripe: TrueLayer Raises $27M in Funding",
"url": "https://www.owler.com/reports/stripe/stripe--truelayer-raises--27m-in-funding/1791475799482",
"title": "Stripe: TrueLayer Raises $27M in Funding",
"description": "TrueLayer, a London, UK-based provider of a Pay by Bank network, raised $27m in funding",
"source": "FinSMEs",
"category": "NEWS",
"published_at": "2026-10-08T16:03:00.000Z",
"sales_triggers": [],
"related_articles": 2,
"publisher_logo": "https://image4.owler.com/publisher/finsmes_original.png"
},
"items": [
{
"id": "6ac7beb50bcba003111c5d5c",
"name": "Stripe: TrueLayer Raises $27M in Funding",
"url": "https://www.owler.com/reports/stripe/stripe--truelayer-raises--27m-in-funding/1791475799482",
"title": "Stripe: TrueLayer Raises $27M in Funding",
"description": "TrueLayer, a London, UK-based provider of a Pay by Bank network, raised $27m in funding",
"source": "FinSMEs",
"category": "NEWS",
"published_at": "2026-10-08T16:03:00.000Z",
"sales_triggers": [],
"related_articles": 2,
"publisher_logo": "https://image4.owler.com/publisher/finsmes_original.png"
},
{
"id": "6ac71db4bbb0a53f02b745d1",
"name": "Stripe: Meta unveils AI agent standard with Walmart, Stripe",
"url": "https://www.owler.com/reports/stripe/stripe--meta-unveils-ai-agent-standard-with-walmar/1789106163460",
"title": "Stripe: Meta unveils AI agent standard with Walmart, Stripe",
"description": "Meta has teamed up with Walmart, Stripe, and AI startup Sierra to develop the Personal Agent Protocol, an open standard designed to let AI agents interact with corporate websites and services with aut",
"source": "DIGITIMES",
"category": "NEWS",
"published_at": "2026-10-08T04:36:00.000Z",
"sales_triggers": [
"partnership"
],
"related_articles": 3,
"publisher_logo": "https://image4.owler.com/publisher/digitimes_publisher_medium.jpg"
}
],
"total_found": 10,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 127836
},
"total_points": 2
}Startup & Funding Data
Owler company news
Latest news about one Owler company (slug or URL): title, summary, publisher, date and link. 1 point per returned record.
POST
/
functions
/
v1
/
run-owler-companies-news
Owler company news
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company slug or Owler URL. e.g. stripe
News type. Options: all = All (latest 10), news = News (latest 3), blog = Blog (latest 3), videos = Videos (latest 3), press = Press releases (latest 3)
Available options:
all, news, blog, videos, press Max items (up to 10)
Required range:
1 <= x <= 10Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.